AOZ Studio Beta - Bug #620

Bob command now fails with type mismatch error even when all parameters are integer.
01/19/2021 10:12 PM - Brian Flanagan

Status: Closed Start date: 01/19/2021
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 4:00 hours
Target version: Beta 3

Affected version: Beta 2

Description

It doesn't matter whether the paramaters are integers or floating point numbers.

NOTE: While you're working on this, we need to change bobs so the parameters for X and Y can be decimals.

This is perfectly valid in JavaScript, DOM, etc., and is necessary for certain precision operations!

The was tested in the newest Beta 2 version (not yet released).

Example: These lines, from ASCIlI MAN Reloaded V1.3, uses ALL integer parameters, yet still cause type mismatch errors:

Bob 15, SCRXOFF + 275, i, 99 ' Line 614

Bob 20, SCRXOFF + PCX + (PX * MAPCELLWIDTH), SCRYOFF + PCY + (PY * MAPCELLHIGHT), f£ ' line 636

Bob i + 10, SCRXOFF + GHOSTCX (i) + (GHOSTX (i) * MAPCELLWIDTH), SCRYOFF + GHOSTCY (i) + (GHOSTY (
i) * MAPCELLHIGHT), GF ' Line 1151

Bob 14, SCRXOFF + (BONUSX * MAPCELLWIDTH), SCRYOFF + (BONUSY * MAPCELLHIGHT), BONUSIMG (MIN (LEV
EL, 13)) ' Line 1300

Bob 20, SCRXOFF + PCX + (PX * MAPCELLWIDTH), SCRYOFF + PCY + (PY * MAPCELLHIGHT), PFA ' Line 1
654

History

#1 - 01/24/2021 11:01 AM - Francois Lionet
- Status changed from New to Resolved
- Assignee set to Francois Lionet

- Target version set to Beta 3

Fixed!

#2 - 07/15/2021 12:41 PM - Brian Flanagan

- Status changed from Resolved to Closed

Re-tested in 1.0.0 (B8) u15
Verified working!
